/*
	ITimeCalc v1.1  1999 Fredrik Rambris. Restrictionless.
	Description: Shows you the current Internet-time invented by Swatch.

	Use freely to implement this new timemeasuring into your programs.
	No guarantees. Use at own risc.

	Updated by Gunther Nikl <gnikl@informatik.uni-rostock.de> 13.04.99


The following was grabbed from http://www.swatch.com.
----------------------------------------------------------------------------

What is this new Universal Time?

Timed by Swatch

Internet Time represents a completely new global concept of time. So what
is the deal? Basically, the Swatch Beat, the revolutionary new unit of time
means the following:

No Time Zones
No Geographical Borders

How long is a Swatch beat? In short we have divided up the virtual and real
day into 1000 "beats". One Swatch beat is the equivalent of 1 minute 26.4
seconds. That means that 12 noon in the old time system is the equivalent
of @500 Swatch beats.

Okay, so how can a surfer in New York, or a passenger on a transatlantic
flight know when it is @500 Swatch Beats in Central Europe for example? How
can the New York surfer make a date for a chat with his cyber friend in
Rome? Easy, Internet Time is the same all over the world. (see converter)

How is this possible? We are not just creating a new way of measuring time,
we are also creating a new meridian in Biel, Switzerland, home of Swatch.
Biel Mean Time (BMT) will be the universal reference for Internet Time. A
day in Internet Time begins at midnight BMT (@000 Swatch Beats) (Central
European Wintertime).

The meridian is marked for all to see on the faade of the Swatch
International Headquarters on Jakob-Staempfli Street, Biel, Switzerland. So
it is the same time all over the world, be it night or day, the era of time
zones has disappeared.

The BMT meridian was inaugurated on 23 October 1998 in the presence of
Nicholas Negroponte, founder and director of the Massachusetts Institute of
Technology`s Media Laboratory.

*/

#include <clib/dos_protos.h>
#include <clib/locale_protos.h>

LONG GetITime( struct Locale *i_locale );

void main(void)
{
	struct Locale *loc = OpenLocale( NULL );

	if( loc )
	{
		Printf("The current internet-time is: @ %ld\n",GetITime( loc ) );
		CloseLocale( loc );
	}
}

/* This is the function that does it. It returns -1 if you don't give it a Locale*/
LONG GetITime( struct Locale *i_locale )
{
	struct DateStamp ds;
	if( !i_locale ) return( -1L );
	DateStamp(&ds);

	return( (((ds.ds_Minute+i_locale->loc_GMTOffset+60+1440)%1440)*1000)/1440 );
}
